@ECHO OFF
SETLOCAL

cd sub

if "%OS%" == "Windows_NT" goto WIN_NT

:WIN_9X
 GOTO NO_SUPPORT

:WIN_NT
rem --- Windows 2000 ---
 VER | find "Version 5.0" > nul 
 IF not errorlevel 1 GOTO TYPE1

rem --- Windows XP ---
 VER | find "Version 5.1" > nul 
 IF not errorlevel 1 GOTO TYPE1

rem --- Windows Vista ---
 VER | find "Version 6.0" > nul 
 IF not errorlevel 1 GOTO TYPE2

rem --- Windows 7 ---
 VER | find "Version 6.1" > nul 
 IF not errorlevel 1 GOTO TYPE2

rem --- Other OS Version ---
 GOTO NO_SUPPORT

:TYPE1
 ECHO "システムファイルをインストールしています"
 wdreg -inf windrvr6.inf install
ECHO "終了しました。"
 GOTO END

:TYPE2
 ECHO "システムファイルをインストールしています"
 wdreg -inf windrvr6.inf install
 ECHO "ドライバファイルをインストールしています"
 wdreg -inf tusbkdio.inf install
 ECHO "終了しました。"
 GOTO END

:NO_SUPPORT
 ECHO "エラー : このOSにはインストールできません"

:END
 PAUSE

